Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 384521 - Please rekeyword games-board/xboard with amd64
Summary: Please rekeyword games-board/xboard with amd64
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: AMD64 Project
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 384685
Blocks: 375407
  Show dependency tree
 
Reported: 2011-09-26 13:43 UTC by Siim Ainsaar
Modified: 2012-07-13 08:51 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Siim Ainsaar 2011-09-26 13:43:34 UTC
In bug 375407 the amd64 keyword of all the games-board/xboard has been dropped, because games-board/xboard-4.5.2a fails with archtesters. Henceforth here is the bug to track the breakage. Could Agostino Sarubbo, Ian Delaney, Blain Anderson and Elijah El Lazkani please report in more detail what problems they had and which useflags the tested? It looks to me (I am not a tester), I stress, *looks* like the problem could occur only without USE=default-font (which is on by default) and then the enotice says what to do (the package needs some command line arguments). Moreover, the problem seems not amd64-specific. When the trouble is sorted out, please rekeyword the package.
Comment 1 Agostino Sarubbo gentoo-dev 2011-09-27 08:19:12 UTC
Any combination of use flag produces the error:

ago@amd64box ~ $ xboard 
xboard: no fonts match pattern -*-helvetica-bold-r-normal--*-*-*-*-*-*-*-*
Comment 2 Siim Ainsaar 2011-09-27 12:03:14 UTC
I can reproduce the problem by uninstalling media-fonts/font-adobe-100dpi and media-fonts/font-adobe-75dpi, regenerating "/usr/share/fonts/{75,100}dpi/fonts.{scale,dir}" (by, for instance, emerging any other 75- and 100-DPI font), logging out and back in, and then emerging games-board/xboard (any version). With USE=default-font, it pulls media-fonts/font-adobe-100dpi, but doesn't say that it needs a re-login. After logging out and back in, everything works (and I can re-emerge media-fonts/font-adobe-75dpi to conclude the testing and restore a working system). Long story short: could you please emerge xboard, log out and back in, and then report if it works? For me it does.

I think two new bugs have surfaced. First, all X fonts should suggest a re-login (an X restart) for them to work (so that xlsfonts would list them, for instance). Secondly, fonts should update fonts.{scale,dir} not only after installation, but also after uninstallation. Currently the "global fontcache" for Fontconfig is updated, but the index files in /usr/share/fonts are not; xlsfonts still lists the already missing fonts and xboard gives a different error (this is the correct behaviour):
  X Error of failed request:  BadName (named color or font does not exist)
    Major opcode of failed request:  45 (X_OpenFont)
    Serial number of failed request:  13
    Current serial number in output stream:  14
I am going to file separate bugs for those issues.

A quick fix would be for the xboard ebuild to announce that if fonts are updated or installed one needs a re-login.
Comment 3 Agostino Sarubbo gentoo-dev 2011-09-27 15:21:15 UTC
Ok, I found the problem.

This ebuild does not pull in media-fonts/font-adobe-75dpi that needs to execute xboard. So with this xboard starts as well.

I think that we close this as WONTFIX and proceed in a stabilization bug.


@games

Please update and close.
Comment 4 Elijah "Armageddon" El Lazkani (amd64 AT) 2011-09-27 15:48:33 UTC
amd64: seems that the re-login did the trick. It will fail to start with the fonts error if default-fonts is not enabled so if there is no use for it without that flag I would suggest to mask it in enabled mode. Another suggestion is adding a message to the user telling them that a re-login is needed other than the one asking them to add themselves to games.
Comment 5 Siim Ainsaar 2011-09-27 16:10:50 UTC
It accepts both media-fonts/font-adobe-75dpi and media-fonts/font-adobe-100dpi with 100dpi taking precedence and looking better, so 100dpi in the dependencies is enough. USE=-default-font is for those who have chosen wholly different fonts in their .xboardrc or command line.
Comment 6 Siim Ainsaar 2011-09-27 16:56:56 UTC
I've now filed bug 384685 (as a blocker) about adding the re-login warning to the fonts (xboard is probably not the only application affected: even xlsfonts shows the difference), and bug 384649 about updating fonts.scale and fonts.dir on uninstallation of fonts (so that fonts could be removed more straightforwardly and bugs such as this one could be reproduced more easily).
Comment 7 Panagiotis Christopoulos (RETIRED) gentoo-dev 2012-03-13 12:41:09 UTC
Guys, check Bug #408027 , maybe this is fixed in the new version 4.6.0 , I haven't found time to check though.
Comment 8 Sergei Trofimovich gentoo-dev 2012-05-12 14:27:35 UTC
(In reply to comment #3)
> Ok, I found the problem.
> 
> This ebuild does not pull in media-fonts/font-adobe-75dpi that needs to
> execute xboard. So with this xboard starts as well.
> 
> I think that we close this as WONTFIX and proceed in a stabilization bug.
> 
> 
> @games
> 
> Please update and close.

As it wasn't handled in bug #375407 i'd suggest to rekeyword xboard here.
Comment 9 Agostino Sarubbo gentoo-dev 2012-06-04 17:37:32 UTC
(In reply to comment #8)
> As it wasn't handled in bug #375407 i'd suggest to rekeyword xboard here.

again:


ago@amd64box ~ $ xboard 
Unable to create font set for -*-helvetica-medium-r-normal--14-*-*-*-*-*-*-*,-misc-fixed-medium-r-normal--14-*-*-*-*-*-*-*,-*-*-*-*-*-*-14-*-*-*-*-*-*-*.
Comment 10 Siim Ainsaar 2012-06-04 18:18:31 UTC
Thanks for testing; you are seeing a new bug! >=games-board/xboard-4.6.0 should have an RDEPEND of "default-font? ( media-fonts/font-adobe-100dpi[nls] media-fonts/font-misc-misc[nls] )". This is again nothing amd64-specific. I am not sure if the "nls" useflag is needed unconditionally, but for me xboard does not start otherwise. And, as told in bug 384685, one should either run "xset fp rehash" or re-login after installing or uninstalling Xorg fonts. Perhaps the xboard ebuild should additionally remind that.
Comment 11 Siim Ainsaar 2012-06-05 13:06:35 UTC
I've filed bug 419751 about the dependencies.